LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
List of all members
AutoRecovery Service Reference

A legacy (single-instance) service-variant of theAutoRecovery singleton. More...

`import <AutoRecovery.idl;`

Inheritance diagram for AutoRecovery:

## Additional Inherited Members
Public Member Functions inherited from XDispatch
void | dispatch ([in] com::sun::star::util::URL URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| dispatches (executes) a URL
void | addStatusListener ([in] XStatusListener Control, [in] com::sun::star::util::URL URL)
| registers a listener of a control for a specific URL at this object to receive status events.
void | removeStatusListener ([in] XStatusListener Control, [in] com::sun::star::util::URL URL)
| unregisters a listener from a control.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

A legacy (single-instance) service-variant of theAutoRecovery singleton.

Deprecated
  Use theAutoRecovery singleton instead.

Since
  LibreOffice 4.0

The documentation for this service was generated from the following file:

- com/sun/star/frame/AutoRecovery.idl